- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns metadata about the resources protected by the given Cloud KMS CryptoKey in the given Cloud organization or project.
HTTP request
GET https://kmsinventory.googleapis.com/v1/{scope=projects/*}/protectedResources:search
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
scope |
Required. A scope can be an organization or a project. Resources protected by the crypto key in provided scope will be returned. The following values are allowed:
Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
cryptoKey |
Required. The resource name of the CryptoKey. Authorization requires the following IAM permission on the specified resource
|
pageSize |
The maximum number of resources to return. The service may return fewer than this value. If unspecified, at most 500 resources will be returned. The maximum value is 500; values above 500 will be coerced to 500. |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
resourceTypes[] |
Optional. A list of resource types that this request searches for. If empty, it will search all the trackable resource types. Regular expressions are also supported. For example:
See RE2 for all supported regular expression syntax. If the regular expression does not match any supported resource type, an INVALID_ARGUMENT error will be returned. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of SearchProtectedResourcesResponse.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.